<template>
  <el-input
    :model-value="modelValue"
    type="textarea"
    :autosize="{ minRows: 2 }"
    :disabled="disabled"
    :clearable="clearable"
    placeholder="请输入"
    style="width: 240px"
    @update:model-value="handleChange"
  />
</template>

<script setup>
const props = defineProps({
  modelValue: String,
  disabled: Boolean,
  clearable: Boolean
})

const emit = defineEmits(['update:modelValue'])

function handleChange(value) {
  emit('update:modelValue', value)
}
</script>